Bug 41678 - Drop gconf dependency
Summary: Drop gconf dependency
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Björn Michaelsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 05:30 UTC by Javier Jardón
Modified: 2015-10-16 14:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Jardón 2011-10-11 05:30:23 UTC
See https://live.gnome.org/GnomeGoals/GSettingsMigration for more info and porting guide
Comment 2 Björn Michaelsen 2011-12-23 12:35:23 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Javier Jardón 2011-12-25 17:05:35 UTC
This bug is still present in current master:

http://cgit.freedesktop.org/libreoffice/core/tree/configure.in#n7077
Comment 4 Björn Michaelsen 2013-07-19 11:39:35 UTC
Is GSetting is universally supported on the TDF baseline build machines?
Comment 5 Andre Klapper 2013-07-19 15:06:34 UTC
(In reply to comment #4)
> Is GSetting is universally supported on the TDF baseline build machines?

How to find out? Do you refer to https://wiki.documentfoundation.org/Development/Tinderbox#List_of_registered_Tinderboxes ? What is "universally"? I doubt that LibreOffice currently stores its settings also in GConf under MS Windows.
Comment 6 Björn Michaelsen 2013-07-22 21:40:26 UTC
The machine that the TDF binaries are build on is relevant. CCing Caolan who should be aware of their setup.
Comment 7 Caolán McNamara 2013-07-25 12:38:52 UTC
RHEL-6 is the current baseline, any work in the area needs to be able to build and work on RHEL-6. Don't think anyone is going to work on this on the near future.
Comment 8 Jeremy Bicha 2013-07-25 16:17:41 UTC
I was reading media coverage about the LibreOffice 4.1 release today and it says that Linux now uses harfbuzz. Harfbuzz is too new to be in RHEL 6 right?

LibreOffice isn't stuck with 2010 technology for the next 2-5 years, is it?
Comment 9 Caolán McNamara 2013-07-25 18:44:35 UTC
we bundle harfbuzz into LibreOffice for that case, but we try and keep that sort of bundling down as much as possible
Comment 10 David Tardon 2013-07-26 05:03:12 UTC
Anyway, there is a BIG difference between harfbuzz, which is used for text layouting, and gconf/gsettings, which is used to get 2 or 3 keys from the gnome configuration.
Comment 11 David Tardon 2013-07-26 05:07:01 UTC
Another note: gsettings is part of gio, which is itself (source-wise) a part of glib2. There is no way we are going to bundle glib2, ever.
Comment 12 Pacho Ramos 2015-01-22 16:18:45 UTC
Will then libreoffice need to use gconf forever? (gconf development stopped some years ago :/)
Comment 13 David Tardon 2015-01-24 13:57:53 UTC
(In reply to Pacho Ramos from comment #12)
> Will then libreoffice need to use gconf forever?

No. Only until the time we switch our baseline to something that supports gsettings.

> (gconf development stopped some years ago :/)

So what? It still works, does it not?
Comment 14 Björn Michaelsen 2015-10-14 09:14:55 UTC
(In reply to David Tardon from comment #13):
> So what? It still works, does it not?

Apparently it doesnt, at least on halfway recent system all these conf keys are unused. And the original intend of i#20364 i#20369 seems questionable from the start at least.
Comment 15 Björn Michaelsen 2015-10-15 16:35:48 UTC
Discussed on the ESC today, decided we should drop gconf integration, something more useful might or might not come along at some point:
>* Killing LibreOffice gconf integration (Bjoern)
>    + gconf is obsoleted by gsetting
>    + on most distros the settings in gconf will be outdated/unused
>    + keeping this around as will likely just cause confusion as people will find subtile different settings without knowing why/from where
>        + https://bugs.documentfoundation.org/show_bug.cgi?id=41678
>    + used to be used for lockdown and some prop. tools integrated (Michael)
>    + RH not using it (Caolan)
>        + Stephan working on a dconf version instead.
Comment 16 Björn Michaelsen 2015-10-16 14:56:25 UTC
gconf dependencies dropped with: http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cf557c12d27f1b2250e69a543136da098112d80